#!/bin/bash
if [ ! -z "$LAME_PRESET" ]; then
  PRESET="$LAME_PRESET"
else
  PRESET="studio"
fi

if [ ! -z "$1" ]; then
  MP3NAME="`basename \"$1\" .wav`.mp3"
  lame --preset $PRESET "$1" "$MP3NAME"
else
  for F in *.wav; do
    MP3NAME="`basename \"$F\" .wav`.mp3"
    lame --preset $PRESET "$F" "$MP3NAME"
  done
fi
